#include "memfunk.h"
#include <except.h>
#include <iostream.h>
#include <stdio.h>
#include <stdlib.h>

long double **alokmat(int m, int n){

        long double **dane;
        dane = new long double *[m];
        for (int j = 0; j < m; j++)
                dane[j] = new long double [n];
        return dane;
}
//------------------------------------------------------------------------------
void dealokmat(long double **dane, int m){

//	if(dane){
        //if(m > 1)
        	for(int i = 0; i < m; i++)
                        delete[] dane[i];
        delete[] dane;
//   }
//   else{
//   	cout << "Blad w module memfunk.h w funkcji dealokmat,\n nie mozna usunac nieistniejacego wskaznika\n";
//   	getchar();
//      exit(-1);
//   }
}
//------------------------------------------------------------------------------
long double *alokwek(int m){

        long double *wek = new long double [m];
        return wek;
}
//------------------------------------------------------------------------------
void dealokwek(long double *wek){

	if(wek)
  		delete wek;
   else{
   	cout << "Blad w module memfunk.h w funkcji dealokwek,\n nie mozna usunac nieistniejacego wskaznika\n";
   	getchar();
      exit(-1);
   }
}
//------------------------------------------------------------------------------

